Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class CertAuthentication

    java.lang.Object
      weblogic.security.acl.CertAuthentication

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the IdentityAsserter in the Pluggable Security Infrastructure.

public class CertAuthentication
extends Object

The public face of the CertAuthenticator interface.

See Also:
  `CertAuthenticator`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`CertAuthentication()` Deprecated.

Method Summary
`static User` | `authenticate(String userName, Certificate[] certs, boolean ssl)` Deprecated. Authenticate a user based on a certificate chain they have presented.
`static User` | `authenticate(String userName, Vector certs, boolean ssl)` Deprecated. Authenticate a user based on a chain of certificates they have presented.
`static void` | `setup()` Deprecated. This is a server-internal method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertAuthentication

    public CertAuthentication()

  Deprecated.

Method Detail

### authenticate

    public static User authenticate(String userName,
                                    Certificate[] certs,
                                    boolean ssl)

  Deprecated.
  Authenticate a user based on a certificate chain they have presented. If the user is authenticated successfully, this method returns the user with identity as derived from the leaf certificate, otherwise it returns null.

  This method must be called with a non-null array of length at least one. The first element in the array is the leaf certificate (i.e., the end user's certificate), and if the array contains more than one element, the last is the root CA's certificate.

  Parameters:
    `userName` - name presented by the user, if any (may be null)
    `certs` - certificate chain presented by the user
    `ssl` - true if the certificate chain was obtained during a two-way SSL handshake
  Returns:
    user derived from leaf certificate, if authentication succeeded, or null if failed

### authenticate

    public static User authenticate(String userName,
                                    Vector certs,
                                    boolean ssl)

  Deprecated.
  Authenticate a user based on a chain of certificates they have presented. The vector presented must be of length at least 1, and each member of this vector must derive from the weblogic.security.Certificate class.

  If the user is authenticated successfully based on the presented certificates, this method returns the user's WebLogic username as derived from the leaf certificate, otherwise it returns null.

  Parameters:
    `userName` - name presented by the user, if any (may be null)
    `certs` - certificate chain presented by the user
    `ssl` - true if the certificates were obtained during a two-way SSL handshake
  Returns:
    user derived from the certificate chain, if authentication succeeded, or null if failed

### setup

    public static void setup()

  Deprecated.
  This is a server-internal method. Calling it from other code will have no effect.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD